# $Revision: 1.40 $, $Date: 2002/08/18 15:39:45 $
%include	/usr/lib/rpm/macros.perl
Summary:	watch log for pop/imap auth, notify Postfix to allow relay
Summary(pl):	Przesyanie poczty przez postfiksa na podstawie logowa przez POP/IMAP
Name:		pop-before-smtp
Version:	1.29
Release:	3
License:	freely distributable
Group:		Networking/Daemons
Source0:	http://prdownloads.sourceforge.net/popbsmtp/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-config.patch
Patch1:		%{name}-comments.patch
Patch2:		%{name}-db_location.patch
Patch3:		%{name}-ignore_ipv6.patch
Patch4:		%{name}-OK.patch
Patch5:		%{name}-mappedv6.patch
URL:		http://popbsmtp.sourceforge.net/
Requires:	postfix
Requires(preun):	/sbin/chkconfig
Requires(post):	/sbin/chkconfig
BuildRequires:	perl-devel
BuildRequires:	perl-File-Tail
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _pkglibdir      /var/lib/popbsmtp

%description
Spam prevention requires preventing open relaying through email
servers. However, legit users want to be able to relay. If legit users
always stayed in one spot, they'd be easy to describe to the daemon.
However, what with roving laptops, logins from home, etc., legit users
refuse to stay in one spot. pop-before-smtp watches the mail log,
looking for successful pop/imap logins, and posts the originating IP
address into a database which can be checked by Postfix, to allow
relaying for people who have recently downloaded their email.

%description -l pl
Pop-before-smtp obserwuje log systemu pocztowego, szukajc udanych
zalogowa przez protok POP lub IMAP. Adres z ktrego nastpio udane
logowanie jest dopisywany do bazy danych, na podstawie ktrej postfix
moe zezwala na wysyanie przez niego poczty.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2	-p1
%patch3	-p0
%patch4	-p1
%patch5	-p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/{sysconfig,rc.d/init.d},%{_sbindir},%{_mandir}/man8,%{_pkglibdir}}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/popbsmtp
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/popbsmtp
install pop-before-smtp $RPM_BUILD_ROOT%{_sbindir}/

pod2man pop-before-smtp >$RPM_BUILD_ROOT%{_mandir}/man8/pop-before-smtp.8
echo ".so pop-before-smtp.8" >$RPM_BUILD_ROOT%{_mandir}/man8/popbsmtp.8

touch $RPM_BUILD_ROOT%{_pkglibdir}/pop-before-smtp.db

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add popbsmtp
if [ -f /var/lock/subsys/popbsmtp ]; then
	%{_sysconfdir}/rc.d/init.d/popbsmtp restart >&2
else
	echo "Run \"/etc/rc.d/init.d/popbsmtp start\" to start pop-before-smtp daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/popbsmtp ]; then
		/etc/rc.d/init.d/popbsmtp stop
	fi
	/sbin/chkconfig --del popbsmtp
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/pop-before-smtp
%attr(754,root,root) /etc/rc.d/init.d/popbsmtp
%config(noreplace) %verify(not mtime size md5) /etc/sysconfig/popbsmtp
%{_mandir}/man8/*
%dir %{_pkglibdir}
%ghost %{_pkglibdir}/pop-before-smtp.db

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pop-before-smtp.spec,v $
Revision 1.40  2002/08/18 15:39:45  blues
- release 3 - license fix, new doc

Revision 1.39  2002/08/18 11:11:50  blues
- license changed

Revision 1.38  2002/05/09 12:22:30  jajcus
- Release:2
- support for solid-pop3d mapped users (virtual domains)  (%%{name}-config.patch updated)

Revision 1.37  2002/04/29 14:07:46  jajcus
- fixed version in Source0
- use "OK" instead of "ok" in database (%%{name}-OK.patch)
- add ipv6-mapped-on-ipv4 addresses to database (%%{name}-mappedv6.patch)

Revision 1.36  2002/04/29 13:11:04  jajcus
- back to 1.29, 1.30 should not go to Ra (at least not yet), too much changes

Revision 1.35  2002/04/29 12:48:13  jajcus
- Version: 1.30 (nfy)
- URL added
- New source location

Revision 1.34  2002/04/27 14:48:24  jajcus
- patch to ignore IPv6 entries in $mynetworks

Revision 1.33  2002/04/27 14:10:19  jajcus
- Version: 1.29

Revision 1.32  2002/04/27 13:54:33  jajcus
- Release: 5
- manual page link fixed

Revision 1.31  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.30  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.29  2002/02/19 09:28:46  grzegorz
- added Patch2: %{name}-db_location.patch
- moved /etc/mail/pop-before-smtp.db to /var/lib/popbsmtp in init, sysconfig
  and doc's
- adaptarized
- rel 4
- STBR

Revision 1.28  2002/02/09 11:40:41  kloczek
- adapterized.

Revision 1.27  2002/02/09 11:36:39  grzegorz
- changed attr for /etc/rc.d/init.d/popbsmtp from 755 to 754

Revision 1.26  2002/01/18 02:14:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/09/25 12:13:56  qboosh
- release 3: Prereq: /sbin/chkconfig

Revision 1.24  2001/08/09 12:47:49  malekith
- added patch to allow comments in mynetworks files
- rel 2

Revision 1.23  2001/08/09 11:10:48  misiek
- added on buildrequires

Revision 1.22  2001/08/02 22:13:56  roman
- updated to 1.28 version
- STBR

Revision 1.21  2001/07/29 12:02:26  roman
- "auto" PATTERN_NAME option in /etc/sysconfig/popbsmtp now works properly
- raised release number from 3 to 4
- STBR

Revision 1.20  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.18  2001/07/24 13:06:59  roman
- added perl-devel to BuildRequires

Revision 1.17  2001/07/23 18:37:00  migo
- added pl summary and/or description

Revision 1.16  2001/04/17 12:19:04  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.15  2000/10/20 01:59:10  kloczek
- release 2: use new rpm automation.

Revision 1.14  2000/09/21 03:42:21  kloczek
- updated to 1.21.

Revision 1.13  2000/09/20 01:05:59  kloczek
- updated to 1.20.

Revision 1.12  2000/09/18 14:34:16  kloczek
- adapterized.

Revision 1.11  2000/09/18 13:11:31  wiget
1.18

Revision 1.10  2000/09/12 15:54:02  kloczek
- adapterized.

Revision 1.9  2000/09/12 14:57:46  siefca
- Fixed spop3d regexp,
- Added autodetection of POP3 (IMAP) daemon type while starting service.

Revision 1.8  2000/08/31 15:26:28  kloczek
- removed %doc from man pages (this is added automatically by rpm),
- adapterized.

Revision 1.7  2000/08/31 12:56:46  wiget
updated to 1.15

Revision 1.6  2000/06/07 04:31:54  kloczek
- spec adapterized.

Revision 1.5  2000/05/09 14:34:32  kloczek
- adapterized.

Revision 1.4  2000/05/09 14:04:54  wiget
1.11

Revision 1.3  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:55:04  baggins
- translated kloczkish into english

Revision 1.1  2000/03/23 17:46:12  wiget
- new entry
